%define fw_version 5.24

Summary:	KDE Frameworks 5 module for data plotting
Name:		kplotting
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 module for data plotting.

KPlotWidget is a QWidget-derived class that provides a virtual base class
for easy data-plotting. The idea behind KPlotWidget is that you only have
to specify information in "data units"; i.e., the natural units of the
data being plotted. KPlotWidget automatically converts everything
to screen pixel units.

#----------------------------------------------------------------------------

%define kf5plotting_major 5
%define libkf5plotting %mklibname kf5plotting %{kf5plotting_major}

%package -n %{libkf5plotting}
Summary:	KDE Frameworks 5 data plotting shared library
Group:		System/Libraries

%description -n %{libkf5plotting}
KDE Frameworks 5 data plotting shared library.

%files -n %{libkf5plotting}
%{_kde5_libdir}/libKF5Plotting.so.%{kf5plotting_major}*

#----------------------------------------------------------------------------

%define devkf5plotting %mklibname kf5plotting -d

%package -n %{devkf5plotting}
Summary:	Development files for KDE Frameworks 5 data plotting module
Group:		Development/KDE and Qt
Requires:	%{libkf5plotting} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5plotting-devel = %{version}

%description -n %{devkf5plotting}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5plotting}
%{_kde5_includedir}/KF5/KPlotting
%{_kde5_includedir}/KF5/kplotting_version.h
%{_kde5_libdir}/cmake/KF5Plotting
%{_kde5_libdir}/libKF5Plotting.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (3bb02d5) New version 5.24.0


